
package de.ivu.elect.sitzberechnung.verteilung;

import de.ivu.elect.sitzberechnung.SitzberechnungEntity;
import de.ivu.elect.sitzberechnung.SitzberechnungLokalisierung;
import de.ivu.elect.sitzberechnung.SitzeZuteilungArt;

public class SitzeZuteilungArtInVerteilung implements SitzberechnungEntity {

  private final SitzeZuteilungArt sitzeZuteilungArt;

  public SitzeZuteilungArtInVerteilung(SitzeZuteilungArt sitzeZuteilungArt) {
    super();

    this.sitzeZuteilungArt = sitzeZuteilungArt;
  }

  @Override
  public String getKey() {
    return sitzeZuteilungArt.getKey();
  }

  public String getName(SitzberechnungLokalisierung sitzberechnungLokalisierung) {
    return sitzberechnungLokalisierung.getName(sitzeZuteilungArt);
  }

  public SitzeZuteilungArt getSitzeZuteilungArt() {
    return sitzeZuteilungArt;
  }
}
